Pango::FontMap(3pm)

NAME
Pango::FontMap - an object that represents the set of fonts available for a particular rendering system

HIERARCHY
  Glib::Object
  +----Pango::FontMap

INTERFACES
  Glib::Object::_Unregistered::GListModel

METHODS

  list = $fontmap->list_families

  font or undef = $fontmap->load_font ($context, $desc)

•   $context (Pango::Context)

•   $desc (Pango::FontDescription)

  fontset or undef = $fontmap->load_fontset ($context, $desc, $language)

•   $context (Pango::Context)

•   $desc (Pango::FontDescription)

•   $language (Pango::Language)

PROPERTIES

'item-type' (Glib::GType : default "Glib::Object" : readable / private / static-nick / static-blurb)
'n-items' (Glib::UInt : default 0 : readable / private / static-nick / static-blurb)

SEE ALSO
Pango, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Pango for a full notice.